import { OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AuditLogForModelComponent implements OnInit {
    private dialog;
    modelType: string;
    modelId: any;
    logView: 'recent' | 'all';
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    getLogView(): void;
    getLogsView(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditLogForModelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuditLogForModelComponent, "app-audit-log-for-model", never, { "modelType": { "alias": "modelType"; "required": false; }; "modelId": { "alias": "modelId"; "required": false; }; "logView": { "alias": "logView"; "required": false; }; }, {}, never, never, false, never>;
}
